%define module docopt

Name:           python-%{module}
Version:        0.6.2
Release:        %mkrel 3
Summary:        Pythonic argument parser, that will make you smile
Group:          Development/Python
License:        MIT
URL:            https://github.com/docopt/docopt
Source0:        %{module}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-nose

%description
Isn't it awesome how optparse and argparse generate help messages
based on your code?!

%package -n python3-%{module}
Summary:        Pythonic argument parser, that will make you smile - package for Python 3

%description -n python3-%{module}
Isn't it awesome how optparse and argparse generate help messages
based on your code?!

%prep
%setup -q -n %{module}-%{version}

# remove upstream egg-info
rm -rf *.egg-info

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}

%files -n python3-%{module}
%{python3_sitelib}/%{module}.py*
%{python3_sitelib}/%{module}-*.egg-info

%changelog
* Sun Mar 13 2022 TerryN <terryn94 at gmail.com> 0.6.2-3pclos2022
- rebuild for python 3.10

* Wed Apr 18 2018 marcin82 <fixxer1982 at gmail.com> 0.6.2-2pclos2018
- rebuild with python 3.6.5

* Mon May 08 2017 bb2 <bb2> 0.6.2-1pclos2017
- new version
